# Mono.DocTest.Generic.IFoo<T>

DocTest : Mono.DocTest.Generic Namespace

# IFoo<T> Generic Interface

Documentation for this section has not yet been entered.

## Syntax

public interface IFoo<T>

#### Type Parameters

> T
>   Documentation for this section has not yet been entered.

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: Mono.DocTest.Generic
Assembly: DocTest (in DocTest.dll)
Assembly Versions: 0.0.0.0

## Members

## Public Methods

Method<U> (T, U) : T

> Documentation for this section has not yet been entered.

## Extension Methods

static

Bar<T> (this IFoo<T>, string)

> Documentation for this section has not yet been entered.

static

ToDouble<T> (this T) : double

> Documentation for this section has not yet been entered.

static

ToEnumerable<T> (this T) : IEnumerable<T>

> Documentation for this section has not yet been entered.

## Member Details

### Method<U> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public T Method<U> (T t, U u)

> #### Type Parameters

> > U
> >   Documentation for this section has not yet been entered.

> #### Parameters

> > t
> >   Documentation for this section has not yet been entered.
> > u
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0